#!/bin/bash

for dir in */; do
  service="${dir/\//}"
  if [ -f "$service/docker-compose.yml" ]; then
    echo "pull $service"
    docker-compose -f "$service/docker-compose.yml" pull
    echo "up $service"
    docker-compose -f "$service/docker-compose.yml" up --build --remove-orphans -d
  fi
done

echo "cleanup docker"
docker system prune --all --volumes --force
